﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Scatter_Series
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {            
            InitializeComponent();
        }
        //private void AnimatePropertyTo(DependencyObject target, double targetValue, string propertyName, double seconds)
        //{
        //    DoubleAnimation da = new DoubleAnimation
        //    {
        //        To = targetValue,
        //        Duration = TimeSpan.FromSeconds(seconds)
        //    };
        //    Storyboard sb = new Storyboard
        //    {
        //        Duration = TimeSpan.FromSeconds(seconds)
        //    };
        //    sb.Children.Add(da);
        //    Storyboard.SetTarget(da, target);
        //    Storyboard.SetTargetProperty(da, new PropertyPath(propertyName));

        //    sb.Begin();
        //}

        //private void HighlightSeries(DependencyObject depObject)
        //{
        //    AnimatePropertyTo(depObject, 0.5, "Opacity", 0.3);
        //    AnimatePropertyTo(depObject, 5.0, "Thickness", 0);
        //}

        //private void UnHighlightSeries(DependencyObject depObject)
        //{
        //    AnimatePropertyTo(depObject, 1.0, "Opacity", 0.3);
        //    AnimatePropertyTo(depObject, 2.0, "Thickness", 0);
        //}              

        private void OnLegendItemMouseEnter(object sender, Infragistics.Controls.Charts.LegendMouseEventArgs e)
        {
            //if (e.Series != null)
            //{
            //    HighlightSeries((Series)e.Series);
            //}
            ((Series)e.Series).Opacity = 0.5;
        }

        private void OnLegendItemMouseLeave(object sender, Infragistics.Controls.Charts.LegendMouseEventArgs e)
        {
            //if (e.Series != null)
            //{
            //    UnHighlightSeries((Series)e.Series);
            //}
            ((Series)e.Series).Opacity = 1;
        }

        private void Marker_MouseEnter(object sender, MouseEventArgs e)
        {
            (sender as Marker).Opacity = 0.5;
        }

        private void Marker_MouseLeave(object sender, MouseEventArgs e)
        {
            (sender as Marker).Opacity = 1;
        }
    }
    public class BubbleDataPoint
    {
        public string Label { get; set; }
        public double Radius { get; set; }
        public double X { get; set; }
        public double Y { get; set; }
    }
    public class BubbleDataSource : List<BubbleDataPoint>
    {
        public static Random Rand = new Random();
        public BubbleDataSource()
        {
            int value = 50;
            for (int i = 0; i < 100; i++)
            {
                double change = Rand.NextDouble();
                if (change > .5)
                {
                    value += (int)(change * 20);
                }
                else
                {
                    value -= (int)(change * 20);
                }
                value %= 100;
                this.Add(new BubbleDataPoint
                {
                    Label = "Item " + i.ToString(),
                    Radius = Rand.Next(10, 50),
                    X = Rand.Next(i, i + 5),
                    Y = Rand.Next(value - 50, value + 50)
                });
            }
        }
    }
}
